# Uses of Class
it.tdlight.jni.TdApi.UserPrivacySettingRule

## Uses of TdApi.UserPrivacySettingRule in it.tdlight.jni

Subclasses of TdApi.UserPrivacySettingRule in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.UserPrivacySettingRuleAllowAll`
A rule to allow all users to do something.
`static final class`
`TdApi.UserPrivacySettingRuleAllowChatMembers`
A rule to allow all members of certain specified basic groups and supergroups to doing something.
`static final class`
`TdApi.UserPrivacySettingRuleAllowContacts`
A rule to allow all contacts of the user to do something.
`static final class`
`TdApi.UserPrivacySettingRuleAllowUsers`
A rule to allow certain specified users to do something.
`static final class`
`TdApi.UserPrivacySettingRuleRestrictAll`
A rule to restrict all users from doing something.
`static final class`
`TdApi.UserPrivacySettingRuleRestrictChatMembers`
A rule to restrict all members of specified basic groups and supergroups from doing something.
`static final class`
`TdApi.UserPrivacySettingRuleRestrictContacts`
A rule to restrict all contacts of the user from doing something.
`static final class`
`TdApi.UserPrivacySettingRuleRestrictUsers`
A rule to restrict all specified users from doing something.
Fields in it.tdlight.jni declared as TdApi.UserPrivacySettingRule
Modifier and Type
Field
Description
`TdApi.UserPrivacySettingRule[]`
TdApi.UserPrivacySettingRules.`rules`
A list of rules.
Constructors in it.tdlight.jni with parameters of type TdApi.UserPrivacySettingRule
Modifier
Constructor
Description
``
`UserPrivacySettingRules(TdApi.UserPrivacySettingRule[] rules)`
A list of privacy rules.